function [data]=graph_extract_data(fignumber)

vch=findobj(fignumber,'-property','YData');
nch=length(vch);
data=cell(2,nch);
for jj=1:nch;
    vch2=get(vch(jj),'YData');
    nch2=length(vch2);
    data{1,jj}=vch2(:);
    tmp=get(vch(jj));
    tit=get(get(tmp.Parent,'Title'),'String');
    data{2,jj}=tit;
end

return